EBOOK-POLISH(1)

NAME
ebook-polish - ebook-polish

            ebook-polish [options] input_file [output_file]

Kirjojen viimeistelyssä on kyse täydellisyyden saavuttamisesta huolella tehtyihin e-kirjoihisi.

Kirjojen viimeistely pyrkii minimoimaan e-kirjasi sisäiseen koodiin tehtävät muutokset. Toisin kuin muuntaminen, se ei latista CSS:ää, nimeä tiedostoja uudelleen, muuta fonttia fonttikokoja, säädä marginaaleja jne. Jokainen toiminto suorittaa vain vähimmäismäärän muutoksia, jotka tarvitaan halutun vaikutuksen aikaansaamiseksi.

Työkalua kannattaa käyttää e-kirjan luomisprosessin viimeisenä vaiheena.

Huomaa, että viimeistely toimii vain AZW3 tai EPUB tai KEPUB-muotoisille tiedostoille.

Aina kun annat ebook-polish:lle argumentteja, joissa on välilyöntejä, sulje argumentit lainausmerkkeihin. Esimerkiksi: "/some path/with spaces"

[VALINNAT]

    --add-soft-hyphens, -H
        Lisää tavutusvihje kaikkiin kirjan sanoihin. Tämä mahdollistaa kirjan esittämisen paremmin, kun teksti on tasattu, lukulaitteissa, jotka eivät tue tavutusta.

    --compress-images, -i
        Pakkaa kirjan kuvat häviöttömästi tiedostokoon pienentämiseksi vaikuttamatta kuvan laatuun.

    --cover, -c
        Polku kansikuvaan. Muuttaa e-kirjassa määritetyn kansikuvan. Jos kantta ei ole tai kantta ei ole tunnistettu oikein, lisää uuden kannen.

    --download-external-resources, -d
        Download external resources such as images, stylesheets, etc. that point to URLs instead of files in the book. All such resources will be downloaded and added to the book so that the book no longer references any external resources.

    --embed-fonts, -e
        Upota kaikki fontit, joihin asiakirjassa viitataan ja joita ei ole jo upotettu. Tämä skannaa tietokoneen fontit, ja jos ne löytyvät, ne upotetaan asiakirjaan. Varmista, että sinulla on asianmukainen lisenssi tässä asiakirjassa käytettyjen fonttien upottamiseen.

    --help, -h
        näytä tämä ohjeviesti ja poistu

    --jacket, -j
        Lisää kirjan alkuun "kirjan päällyspaperi", joka sisältää kaikki kirjan metadatat , kuten otsikko, tagit, tekijät, sarjat ja kommentit, jne. Kaikki aiemmat päällyspaperit korvataan.

    --opf, -o
        Polku OPF-tiedostoon. Kirjan metadata päivitetään OPF-tiedostosta.

    --remove-jacket
        Poista aiemmin lisätty kirjan päällyspaperi.

    --remove-soft-hyphens
        Poista tavutusvihjeet kaikesta kirjan tekstistä.

    --remove-unused-css, -u
        Poista kaikki käyttämättömät CSS-säännöt tyylitaulukoista ja <style> -tageista. Joissakin kirjoissa jotka on luotu tuotantomalleista, saattaa olla suuri määrä ylimääräisiä CSS-sääntöjä jotka eivät vastaa varsinaista sisältöä. Nämä ylimääräiset säännöt voivat hidastaa lukijoita jotka joutuvat jäsentämään ne kaikki.

    --smarten-punctuation, -p
        Muunna tavallisen tekstin viivat, ellipsit, lainausmerkit, moniväliviivat jne. niiden typografisesti oikeiksi vastineiksi. Huomaa, että algoritmi voi joskus tuottaa virheellisiä tuloksia, erityisesti kun kyseessä ovat yksittäiset lainausmerkit supistuksen alussa.

    --subset-fonts, -f
        Fonttien tiivistäminen tarkoittaa upotetun fontin pienentämistä siten, että se sisältää vain kyseisen fontin kirjassa käytetyt merkit. Tämä pienentää fonttitiedostojen kokoa huomattavasti (fontin puolittaminen puoleen) (tiedostokokojen puolittaminen on yleistä). Esimerkiksi jos kirjassa käytetään tiettyä fonttia otsikoissa, niin tiivistäminen pienentää kyseisen fontin niin, että se sisältää vain kirjan varsinaisissa otsikoissa esiintyvät merkit. Tai jos kirjassa on fontin lihavoitu ja kursivoitu versio, mutta lihavoitu ja kursivoitu teksti on suhteellisen harvinaista tai sitä ei ole lainkaan, niin sitten lihavoidut ja kursivoidut fontit voidaan joko pienentää vain muutamiin merkkeihin tai kokonaan poistaa. Ainut haittapuoli fonttien tiivistämisessä on, että jos myöhemmässä vaiheessa päätät lisätä kirjoihisi lisää tekstiä, uusi lisätty teksti ei välttämättä kuulu tiivistetyn fontin joukkoon.

    --upgrade-book, -U
        Päivitä kirjan sisäisiä rakenteita, jos mahdollista. Esimerkiksi, päivittää EPUB 2 -kirjat EPUB 3 -kirjoiksi.

    --verbose
        Näytä perusteellisempi raportti, hyödyksi virheenetsinnässä.

    --version
        näytä ohjelman versionumero ja poistu

Author
Kovid Goyal

Copyright
Kovid Goyal